Package org.eclipse.graphiti.ui.internal.command

## Class GFCommand

- java.lang.Object
- - org.eclipse.gef.commands.Command
  - - org.eclipse.graphiti.ui.internal.command.AbstractCommand
    - - org.eclipse.graphiti.ui.internal.command.GFCommand

All Implemented Interfaces:
  `IConfigurationProviderHolder`

Direct Known Subclasses:
  `CreateModelObjectCommand`

    public class GFCommand
    extends AbstractCommand

### Constructor Summary

Constructors
`GFCommand​(IConfigurationProvider configurationProvider)`
`GFCommand​(IConfigurationProvider configurationProvider, java.lang.String label)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IContext` `getContext()`
`IFeature` `getFeature()`
`void` `setContext​(IContext context)`
`void` `setFeature​(IFeature feature)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.command.AbstractCommand

`getConfigurationProvider, getFeatureProvider, getTransactionalEditingDomain`

### Methods inherited from class org.eclipse.gef.commands.Command

`canExecute, canRedo, canUndo, chain, dispose, execute, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCommand

    public GFCommand​(IConfigurationProvider configurationProvider)

#### GFCommand

    public GFCommand​(IConfigurationProvider configurationProvider,
                     java.lang.String label)

### Method Detail

#### getContext

    public IContext getContext()

#### getFeature

    public IFeature getFeature()

#### setFeature

    public void setFeature​(IFeature feature)

#### setContext

    public void setContext​(IContext context)